PHP Manual
Prev |  | Next

# imagecolorexactalpha

(PHP 4 >= 4.0.6, PHP 5)

imagecolorexactalpha -- Get the index of the specified color + alpha

## Description

int imagecolorexactalpha ( resource image, int red, int green, int blue, int alpha )

Returns the index of the specified color+alpha in the palette of the image.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

`alpha`

  A value between `0` and `127`. `0` indicates completely opaque while `127` indicates completely transparent.

The colors parameters are integers between 0 and 255 or hexadecimals between 0x00 and 0xFF.

## Return Values

Returns the index of the specified color+alpha in the palette of the image, or -1 if the color does not exist in the image's palette.

## Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

## See Also

imagecolorclosestalpha()

Prev | Home | Next
imagecolorexact | Up | imagecolormatch